
var stageWidth 
var stageHeight
var snowFlake

tl = new TimelineMax();


function init() {
stageWidth = $("#container").width();
stageHeight = $("#container").height();

createSnow();
createStar();
animate();
setListeners();


}


 function animate(){	
 	 tl.set(shape, {scale:0.9},0);    	       
 	 tl.set(moon, {scale:1},0);
 	 tl.from(lierRight, .7,{x:20, autoAlpha:0, ease: Power1.easeOut},5);
 	 tl.from(cta, .7,{x:20, autoAlpha:0, ease: Power1.easeOut},5);
 	 tl.from(ctaArrow, .7,{x:3, autoAlpha:0, ease: Power1.easeOut},5);
 	 tl.to(ctaArrow, .7,{x:3, ease: Power1.easeInOut, repeat:11, yoyo:true},6.5);            
	 tl.from(text, 1,{autoAlpha:0, ease: Power1.easeIn},4.3);
 	 tl.to(shape, 3.8,{ scale:6, y:341, rotation:0.0001, ease: Power2.easeInOut},0);
 	 tl.from(moon, 4,{y:66, ease: Power1.easeInOut},0);
 	 tl.to(shape, 1.2,{ autoAlpha:0, ease: Power1.easeInOut},4.3);
 	 tl.to(moon, 1.2,{autoAlpha:0, ease: Power1.easeInOut},4.3);
 	 tl.from(stars, 8,{y:-20, ease: Power1.easeInOut},0);

 	 setTimeout(function(){TweenMax.killAll();}, 15000);
 }


 function createSnow(){

 	var snowFlakeColor = ["#ef84ad", "#ef7918", "#d10828"]
 	var snowMaxWidth
 	var maxSnow = 60

// sneeuw in beeld vanaf het begin

 	for (i = 0; i < maxSnow;i++){

 		var snowSize = getRandom(4,16) + "px";
 		snowFlake = document.createElement("snowFlake");
 		snowFlake.style.left =  getRandom(0,stageWidth) + "px"; 
 		snowFlake.style.top = getRandom(0,stageHeight) + "px"; 
 		snowFlake.style.borderRadius = "50%";
 		snowFlake.style.width = snowSize;
 		snowFlake.style.height = snowSize;
 		snowFlake.style.backgroundColor = snowFlakeColor[Math.floor(Math.random() * snowFlakeColor.length)];
 		snowFlake.className = "snowFlake";	
 		document.getElementById("snow").appendChild(snowFlake); 		

		snowFallFirst(snowFlake);

 	}

// sneeuw loopt vanuit top:0

 	for (i = maxSnow; i < maxSnow*2;i++){

 		var snowSize = getRandom(4,16) + "px";
 		snowFlake = document.createElement("snowFlake");
 		snowFlake.style.left =  getRandom(0,stageWidth) + "px"; 
 		snowFlake.style.top = getRandom(-20,-5) + "px"; 
 		snowFlake.style.borderRadius = "50%";
 		snowFlake.style.width = snowSize;
 		snowFlake.style.height = snowSize;
 		snowFlake.style.backgroundColor = snowFlakeColor[Math.floor(Math.random() * snowFlakeColor.length)];
 		snowFlake.className = "snowFlake";	
 		document.getElementById("snow").appendChild(snowFlake); 		

		snowFall(snowFlake);

 	}

 }

function snowFallFirst(object) {
	TweenMax.to(object, getRandom(3,9),{x:getRandom(10,50), ease:Power1.easeInOut, yoyo:true, repeat:-1, delay:getRandom(0,10)})
    TweenMax.to(object, getRandom(6,15),{y:stageHeight, ease:Linear.easeNone})
}

function snowFall(object) {
	TweenMax.to(object, getRandom(3,9),{x:getRandom(10,30), ease:Power1.easeInOut, yoyo:true, repeat:-1, delay:getRandom(0,10)})
    TweenMax.to(object, getRandom(6,15),{y:stageHeight+20, ease:Linear.easeNone, repeat:-1, delay:getRandom(0,80)/10/*onComplete: flickerAnimate2, onCompleteParams: [object]*/})
}

// random stars

 function createStar(){

 	var maxStar = 18;

 	for (iStar = 0; iStar < maxStar; iStar++){

 		star = document.createElement("star");
 		star.style.left =  getRandom(0,stageWidth) + "px"; 
 		star.style.top = getRandom(0, stageHeight) + "px"; 
 		star.className = "star";	
 		document.getElementById("stars").appendChild(star); 		
		
		animateStar(star);
		
 	}

 }


function animateStar(object) {
	TweenMax.to(object, getRandom(7,15)/10,{autoAlpha:.4, scale:getRandom(5,15)/10, ease:Power1.easeInOut, yoyo:true, repeat:5, delay:getRandom(0,8)}) 

}

////////


function getRandom(min, max) {
  return Math.floor(Math.random() * (max - min) + min);
}

function setListeners(){

var roll = document.getElementById("clicktag");
roll.onmouseover = function(){TweenLite.to(ctaArrow, .2, {x:3});}
roll.onmouseout = function(){TweenLite.to(ctaArrow, .2, {x:0});}

}